Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224651 - system-config-printer refuses to accept valid parameters
Summary: system-config-printer refuses to accept valid parameters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Update
TreeView+ depends on / blocked
 
Reported: 2007-01-26 21:09 UTC by Michal Jaegermann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.7.52-1.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-15 09:54:18 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2007-01-26 21:09:56 UTC
Description of problem:

Various numerical job options to 'lp' can have, in fact, decimal
fractional parts.   This is even important when one is trying to
print text files with as big fonts as feasible and there is
a substantial difference between things like 'cpi=9.25' and 'lpi=5.5'
and their integer parts.

Despite of that current 'system-config-printer' does not allow to
enter values like the above.  Actually the situation is more curious.
If you will edit /etc/cups/printers.conf directly and use fractions
there then the next time 'system-config-printer' will display those
correctly, with save them after some modifications were made, and
will even allow to change fractional parts as long as a decimal
'.' is around.  The moment one will erase that character fractions
are becoming inacceptable.

'system-config-printer' from FC6 suffers from the same affliction
and this is regress from FC5 where putting fractional values was not
an issue at all and those parameters were actually correctly passed
to printing.

An impact of this bug is currently minimized due to bug 224645
which means that it really does not matter what is accepted or not
as whatever is typed in options values seems to be summarily
ignored; well, at least when printing text files.

Version-Release number of selected component (if applicable):
system-config-printer-0.7.49-1.fc7

Comment 1 Tim Waugh 2007-02-07 15:01:07 UTC
Fixed in CVS.

Comment 2 Tim Waugh 2007-02-07 17:02:32 UTC
Built in rawhide as 0.7.50-1.fc7.

Comment 3 Tim Waugh 2007-02-08 10:24:34 UTC
FC6 test update: 0.7.50-1.fc6.

Comment 4 Fedora Update System 2007-02-14 19:59:25 UTC
Fixed in update: system-config-printer-0.7.52-1.fc6


Note You need to log in before you can comment on or make changes to this bug.